Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1343909 (CVE-2016-5337) - CVE-2016-5337 Qemu: scsi: megasas: information leakage in megasas_ctrl_get_info
Summary: CVE-2016-5337 Qemu: scsi: megasas: information leakage in megasas_ctrl_get_info
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-5337
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1343910
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 09:57 UTC by Prasad Pandit
Modified: 2021-02-17 03:44 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:54:44 UTC
Embargoed:


Attachments (Terms of Use)

Description Prasad Pandit 2016-06-08 09:57:06 UTC
Quick Emulator(Qemu) built with the MegaRAID SAS 8708EM2 Host Bus Adapter
emulation support is vulnerable to an information leakage issue. It
could occur while processing MegaRAID Firmware Interface(MFI) command to read
device control information in 'megasas_ctrl_get_info'.

A privileged user inside guest could use this flaw to leak host memory bytes.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-06/msg01969.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/06/08/3

Comment 1 Prasad Pandit 2016-06-08 09:57:37 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad Pandit 2016-06-08 09:58:42 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1343910]

Comment 3 Fedora Update System 2016-06-17 15:56:32 UTC
xen-4.5.3-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-18 18:30:11 UTC
xen-4.6.1-12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-22 01:22:29 UTC
xen-4.5.3-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-25 19:26:22 UTC
qemu-2.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-02 19:25:35 UTC
qemu-2.3.1-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-02 19:30:53 UTC
qemu-2.4.1-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.